.p-header-default__menu {
  position: fixed;
  z-index: 550;
  top: var(--vp-header__height-total);
  left: 0;
  bottom: 0;
  width: 19rem;

  background-color: var(--v-color__light);

  border-top: 4px solid var(--v-color__2) ;

  transition: var(--v-transition__default);
  box-shadow: var(--v-shadow__right);

  transform: translateX( calc( ( 100% + 2rem ) * -1 ) );

  overflow: auto;
}

body.is-scrolled .p-header-default__menu {
  top: var(--vp-header__height-total--sticky);
}

body.is-menu-open .p-header-default__menu {
  transform: translateX(0);
}

.p-header-default__menu-spacing {
  display: none;
}

.p-header-default__menu-button-shop {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  background-color: var(--v-color__2);
  color: var(--v-color__light);
  text-decoration: none;
  padding: 0.7rem var(--v-layout__container-padding);
}

.p-header-default__menu-button-shop-img {
  display: block;
  height: 1.3rem;
}

.p-header-default__menu-button-shop-text {
  display: block;
  line-height: 1;
}

@media (min-width: 1300px) {
  .p-header-default__menu {
    position: absolute;
    z-index: 10;
    inset: 0 !important;
    display: grid;
    width: auto;
    grid-template-columns: 1fr auto 1fr;
    align-items: stretch;
    font-size: 130%;

    border-top: none;
    box-shadow: none;

    background-color: transparent;
    overflow: visible;

    transform: none;
  }

  .p-header-default__menu-spacing {
    display: block;
    width: calc( var(--vp-header__width-logo) + ( var(--vp-header__spacing-menu) * 2 ) );
  }

  .p-header-default__menu-group {
    display: flex;
    gap: var(--vp-header__spacing-menu);
    align-items: stretch;
  }

  .p-header-default__menu-group--left {
    justify-content: flex-end;
  }

  .p-header-default__menu-button-shop {
    display: block;
    padding: 0.7rem;
    align-self: flex-start;
    text-align: center;
    border-bottom: 4px solid transparent;
    transition: var(--v-transition__default);
    font-size: 80%;
    height: 100%;
  }

  body.is-scrolled .p-header-default__menu-button-shop {
    padding: 0.5rem;
    display: flex;
  }

  .p-header-default__menu-button-shop:hover {
    border-bottom-color: var(--v-color__light);
  }

  .p-header-default__menu-button-shop-text {
    padding-top: 0.5rem;
  }

  .p-header-default__menu-button-shop-img {
    margin: 0 auto;
  }

  body.is-scrolled .p-header-default__menu-button-shop-text {
    display: none;
  }
}

@media (min-width: 1700px) {
  .p-header-default__menu-button-shop-img {
    height: 1.6rem;
  }

  .p-header-default__menu-button-shop {
    font-size: 100%;
  }

  body:not(.is-scrolled) .p-header-default__menu-button-shop {
    height: auto;
  }
}
